<!DOCTYPE html>
<html lang="pl-PL">
<head>
    <link rel="stylesheet" href="/css/navStyle.css"> <!-- Link to the custom CSS file -->
</head>
<body>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
        <a class="navbar-brand" href="/">Audit Scheduler</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/">Kalendarz zadań</a>
                </li>
                <% if (session && (session.role === 'Admin' || session.role === 'Manager')) { %>
                <li class="nav-item">
                    <a class="nav-link" href="/role-management">Zarządzanie użytkownikami</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/analytics">Panel analityczny</a>
                </li>
                <% } %>
                <% if (session && session.userId) { %>
                <li class="nav-item">
                    <a class="nav-link" href="/tasks">Zadania</a>
                </li>
                <% } %>
                <li class="nav-item">
                    <% if (session && session.userId) { %>
                    <a class="nav-link" id="logout" href="/auth/logout">Wyloguj</a>
                    <% } else { %>
                    <a class="nav-link" href="/auth/login">Zaloguj się</a>
                    <% } %>
                </li>
            </ul>
        </div>
    </nav>
</body>
</html>
